Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.helper
Class OWLBuilder.CardinalityComponent

    java.lang.Object
      |
      +--org.semanticweb.owl.model.helper.OWLBuilder.CardinalityComponent

All Implemented Interfaces:
  OWLBuilder.RestrictionComponent

Enclosing class:
  OWLBuilder

public static class OWLBuilder.CardinalityComponent
extends Object
implements OWLBuilder.RestrictionComponent

Encapsulates the properties of a cardinality component.

Field Summary
`static int` | `EQ`
`static int` | `MAX`
`static int` | `MIN`

Constructor Summary
`OWLBuilder.CardinalityComponent(int type)` Creates a new `CardinalityComponent` instance and sets its `type` property.

Method Summary
`int` | `getCardinality()` Gets the `cardinality` property.
`int` | `getType()` Gets the `type` property.
`void` | `setCardinality(String tokenValue)` Converts `tokenValue` to `int` and assigns it to the `cardinality` property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX

    public static final int MAX

See Also:
  Constant Field Values

### MIN

    public static final int MIN

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

Constructor Detail

### OWLBuilder.CardinalityComponent

    public OWLBuilder.CardinalityComponent(int type)

  Creates a new `CardinalityComponent` instance and sets its `type` property.

Parameters:
  `type` - one of `MAX`, `MIN`, `EQ`.

Method Detail

### setCardinality

    public void setCardinality(String tokenValue)

  Converts `tokenValue` to `int` and assigns it to the `cardinality` property.

  Parameters:
    `tokenValue` - a `String` convertible into an `int`.
  Throws:
    `TokenNotNumberError` - if `tokenValue` is not convertible to an `int`.

### getCardinality

    public int getCardinality()

  Gets the `cardinality` property.

  Returns:
    the `cardinality` property.

### getType

    public int getType()

  Gets the `type` property.

  Returns:
    the `type` property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb